{% extends "logged_in.html" %}
{% load telegram %}

{% block content %}
    <h1>Telegram integration</h1>

    <h2>User</h2>
    {% if connected_user %}
        <table class="table">
            <tr><th>Name</th><td>{{ connected_user.display_name }}</td></tr>
            <tr><th>Icon</th><td><img src="{{ connected_user.icon_url }}" class="profile-pic"/></td></tr>
            {% if connected_user.username %}
            <tr><th>Username</th><td><a href="{{ connected_user.link }}">@{{ connected_user.username }}</td></tr>
            {% endif %}
            <tr><th>ID</th><td>{{ connected_user.user_id }}</td></tr>
            <tr><th>Actions</th><td>
                <ul class="buttons">
                    <li><a href="{% url "telegram:disconnect" %}">Disconnect</a></li>
                </ul>
            </td></tr>
        </table>
    {% else %}
        {% telegram_login_widget "telegram:connect" %}
    {% endif %}
    <p><a href="{% url "telegram:bot_compose" %}">Compose</a></p>

    <h2>Bots</h2>

    <table class="table">
        <thead>
            <tr>
                <th>Name</th>
                <th>Username</th>
                <th>Link</th>
                <th>Icon</th>
                <th>Token</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            {% if user.is_superuser %}
                {% for bot in builtin_bots %}
                    {% include "telegram/bot_row.html" with bot=bot actions=False %}
                {% endfor %}
            {% endif %}
            {% for bot in bots %}
                {% include "telegram/bot_row.html" with bot=bot actions=True %}
            {% endfor %}
        </tbody>
    </table>

    <form method="post" action="{% url "telegram:bot_add" %}">
        {% csrf_token %}
        <p>
            <label for="add_bot_token">Token</label>
            <input type="text" id="add_bot_token" name="token" />
            <button type="sumbit">Add bot</button>
        </p>
    </form>
{% endblock %}
